:root {
    font-family: 'Rosario';
    font-style: italic;
    font-size: 10px;
}

body {
    margin: 0;
}

a {
    text-decoration: none;
}

.header-flex-sticky {
    width: 100%;
    height: 11vh;
    display: flex;
    position: sticky;
    top: 0;
    z-index: 1;
    background: #000;
    justify-content: space-between;
}


.logo-img {
    width: 100%;
    height: 100%;
    background: #fff;
    object-fit: contain;
}

.header-navigation-flex {
    width: 100%;
    display: flex;
    list-style: none;
    margin: 0;
    padding: 0;
    align-items: center;
    margin-right: 1%;
    justify-content: end;
    overflow: hidden;
}

.header-navigation-flex > li {
    padding: 1%;
    min-width: 0;
    text-align: center;
    margin: 0 1%;
}

.header-navigation-flex > li > a {
    font-weight: 700;
    font-size: 3.6rem;
    color: #FFFCFC;
}

.header-navigation-flex > li:hover {
    border-radius: 3rem;
    background-color: #40424293;
}

.burger-menu-pure-css-hidden {
    display: none;
}

.menu-btn{
    display: flex;
    align-items: center;
    position: absolute;
    top: 50%;
    right: 5%;
    width: 6rem;
    cursor: pointer;
    z-index: 1;
}
   
.menu-btn > span,
.menu-btn > span::before,
.menu-btn > span::after {
    display: block;
    position: absolute;
    width: 100%;
    height: 0.5rem;
    background-color: #fff;
    transition-duration: .25s;
}
.menu-btn > span::before {
    content: '';
    top: -1rem;
}
.menu-btn > span::after {
    content: '';
    top: 1rem;
}

.menubox {
    display: block;
    position: fixed;
    visibility: hidden;
    top: 11vh;
    left: -100%;
    width: 100%;
    height: 100vh;
    margin: 0;
    padding: 0;
    list-style: none;
    background-color: #000;
    transition-duration: .25s;
}

.menu-item {
    display: block;
    padding: 12px 24px;
    font-weight: 700;
    font-size: 3.6rem;
    color: #FFFCFC;
    text-decoration: none;
    transition-duration: .25s;
    width: fit-content;
    margin: 0 auto;
    border-radius: 3rem;
}

.menu-item:hover {
    background-color: #40424293;
}

.x-line {
    opacity: 0;
}

.x-line:checked ~ .menu-btn > span {
    transform: rotate(45deg);
}

.x-line:checked ~ .menu-btn > span::before {
    top: 0;
    transform: rotate(0);
}

.x-line:checked ~ .menu-btn > span::after {
    top: 0;
    transform: rotate(90deg);
}

.x-line:checked ~ .menubox {
    visibility: visible;
    left: 0;
}

.page-wraper {
    min-height: 89vh;
    overflow: hidden;
}

.header-hidden {
    display: none;
}

.first-page-flex {
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.first-page-flex img {
    width: 100%;  
}

.img-single-wrapper-left, .img-single-wrapper-right {
    flex-grow: 2;
    margin: 1%;
}

.img-single-wrapper-left {
    transform: translateX(-100vw);
    animation: img-left 3s linear 1 forwards;
}

.img-double-wrapper-left > :first-child, .img-double-wrapper-left > :last-child {
    transform: translateX(-100vw);
    animation: img-left 1.5s linear 1 forwards;
}

.img-double-wrapper-left {
    flex-grow: 3;
    margin: 0 1%;
    margin-left: 2%;
}

.img-double-wrapper-left > div {
    margin: 7% 0;
}

@keyframes img-left {
    from {
        transform: translateX(-100vw);
    }
    to {
        transform: translateX(0);
    }
}


.img-single-wrapper-right {
    flex-grow: 2;
    margin: 1%;
    transform: translateX(100vw);
    animation: img-right 3s linear 1 forwards;
}

.img-double-wrapper-right > :first-child, .img-double-wrapper-right > :last-child {
    transform: translateX(100vw);
    animation: img-right 1.5s linear 1 forwards;
}

.img-double-wrapper-right {
    flex-grow: 3;
    margin: 0 1%;
    margin-right: 2%;
}

.img-double-wrapper-right > div {
    margin: 7% 0;
}

@keyframes img-right {
    from {
        transform: translateX(100vw);
    }
    to {
        transform: translateX(0);
    }
}

.second-page-flex{
    display: flex;
}


.left-flex {
    margin-top: 3%;
    width: 50%;
    display: flex;
    flex-wrap: wrap;
    position: relative;
    justify-content: center;
    align-items: center;
}

.left-flex h2 {
    font-weight: 700;
    /*font-size: 48px;
    originally but crosssing when animated*/
    font-size: 2.4rem;
    line-height: 2.2rem;
    margin: 0;
    text-transform: capitalize;
    text-align: center;
}

.second-page-flex img {
    width: 100%;  
}

.fifth-img-wraper {
    width: 50%;

}

.fifth-img-wraper img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.first-img-wraper, .second-img-wraper, .third-img-wraper, .fourth-img-wraper {
    height: 40%;
    width: 40%;
    display: flex;
    flex-direction: column;
    position: absolute;
    margin: 0;
    padding: 3%;
    box-sizing: border-box;
    justify-content: center;
    align-items: center;
}

.first-img-wraper {
    top: 0;
    left: 0;
    animation: first-circle 10s linear infinite;
}

.second-img-wraper {
    top: 50%;
    left: 0;
    animation: second-circle 10s linear infinite;
}

.third-img-wraper {
    top: 0;
    left: 50%;
    animation: third-circle 10s linear infinite;
}

.fourth-img-wraper {
    top: 50%;
    left: 50%;
    animation: fourth-circle 10s linear infinite;
}

@keyframes first-circle {
    from{
        top: 0;
        left: 0;
    }
    25%{
        top: 0;
        left: 50%;
    }
    50%{
        top: 50%;
        left: 50%;
    }
    75%{
        top: 50%;
        left: 0;
    }
    to{
        top: 0;
        left: 0;
    }
}

@keyframes second-circle {
    from{
        top: 0;
        left: 50%;
    }
    25%{
        top: 50%;
        left: 50%;
    }
    50%{
        top: 50%;
        left: 0;
    }
    75%{
        top: 0;
        left: 0;
    }
    to{
        top: 0;
        left: 50%;
    }
}

@keyframes third-circle {
    from{
        top: 50%;
        left: 50%;
    }
    25%{
        top: 50%;
        left: 0;
    }
    50%{
        top: 0;
        left: 0;
    }
    75%{
        top: 0;
        left: 50%;
    }
    to{
        top: 50%;
        left: 50%;
    }
}

@keyframes fourth-circle {
    from{
        top: 50%;
        left: 0;
    }
    25%{
        top: 0;
        left: 0;
    }
    50%{
        top: 0;
        left: 50%;
    }
    75%{
        top: 50%;
        left: 50%;
    }
    to{
        top: 50%;
        left: 0;
    }
}

.third-page-flex {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}

.third-page-header {
    font-style: normal;
    font-weight: 700;
    font-size: 9.6rem;
    line-height: 11.6rem;
    margin: 0 auto;
    text-transform: capitalize;
    text-align: center;
}

.team-wrapper {
    display: flex;
    justify-content: space-evenly;

}

.team-wrapper:hover .team-memder-foto-wraper {
    filter: brightness(.6);    
}

.team-wrapper > .team-memder-foto-wraper:hover {
    filter: none; 
}

.team-memder-foto-wraper {
    width: 22%;
    position: relative;    
}

.team-memder-foto-wraper > img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    border-radius: 4rem;
}

.team-memder-name {
    position: absolute;
    bottom: 0;
    width: 100%;
    font-family: 'Volkhov';
    font-style: normal;
    font-weight: 400;
    font-size: 4.8rem;
    line-height: 6.2rem;
    display: flex;
    align-items: center;
    color: #FFFAFA;
    margin: 0;
    text-transform: capitalize;
    border-radius: 0 0 4rem 4rem;
    background: rgba(163, 83, 10, 0.7);
    /*height: 23%; for hover*/
    height: 0;
    justify-content: center;
    overflow: hidden;
    transition: height .8s;
    }

.team-memder-foto-wraper:hover p {
    height: 23%
}


.left-side-wrapper {
    width: 60%;
}


.fourth-page-header {
    width: 70%;
    font-weight: 700;
    font-size: 6.4rem;
    line-height: 7.8rem;
    text-align: center;
    color: #000000;
    margin: 5% auto 1%;
}


.form-section-wrapper {
    margin: 0 auto;
    width: 90%;
    /*height: 34vh;*/
    background-color: #E5E5E5;
}

.form-flex {
    display: flex;
    flex-direction: column;
    padding: 5%;
    align-items: center;
}

.input-wrapper {
    width: 100%;
    display: flex;
    justify-content: space-between;
}

.form-input {
    width: 46%;
    font-style: normal;
    font-weight: 700;
    font-size: 3.6rem;
    line-height: 68px;
    color: rgba(0, 0, 0, 0.5);
    margin-bottom: 6%;
    border: none;
}

.textarea-input {
    resize: none;
    width: 100%;
    height: 18vh;
    box-sizing: border-box;
    font-family: 'Rosario';
    font-style: normal;
    font-weight: 700;
    font-size: 3.6rem;
    line-height: 4.4rem;
    border: none;
    color: rgba(0, 0, 0, 0.5);
}

.text-aria-hidden-submit-wrapper{
    width: 100%;
    position: relative;
}

.hidden-submit {
    position: absolute;
    bottom: 0;
    left: 0;
    display: none;
    overflow: hidden;
    width: 100%;
    border: none;
    background: rgba(163, 83, 10, 0.7);
    font-weight: 700;
    font-size: 3.6rem;
    cursor: pointer;
}

.form-flex:hover .hidden-submit{
    display: block;
}

.map {
    border: 0;
    width: 37%;
    height: 50vh;
    margin-top: 3%;
}

.content-flex {
    display: flex;
    align-items: flex-end;
}

.fourth-page-flex {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.footer-flex {
    display: flex;
    justify-content: space-evenly;
    margin: 2% 0;
}

.footer-flex-link {
    list-style-type: none;
    margin: 0;
    padding: 0;
    text-align: center;
}

.footer-flex-link-header {
    margin: 0;
    font-style: normal;
    font-weight: 700;
    font-size: 3rem;
    line-height: 3.6rem;
    color: #000000;
    text-align: center;
}



.footer-flex-link > li > a,
.footer-flex-link > li > p,
.footer-flex-link > li > a > p,
.footer-flex-link-header > span {
    font-style: italic;
    font-weight: 600;
    font-size: 3rem;
    line-height: 3.6rem;
    color: #000000;
    margin: 0;
    padding: 0;
}

.footer-flex-social {
    text-align: center;
    list-style-type: none;
    margin: 0;
    padding: 0;
}

.footer-flex-social > li > a img, .footer-flex-social > li > a p {
    display: inline;
    font-style: italic;
    font-weight: 600;
    font-size: 3rem;
    line-height: 3.6rem;
    color: #000000;
    margin: 0;
    padding-left: 5%;
} 

.footer-flex-social > li > a {
    display: flex;
    justify-content: center;
}

.footer-main-header {
    font-size: 3.6rem;
}

@media screen and (min-width: 1620px) {
    body {
        width: 1600px;
        margin: 0 auto;
    }

}

@media screen and (max-width: 1160px) {
    .header-navigation-flex {
        flex-direction: column;
        flex-wrap: wrap;
        align-content: space-around;
        justify-content: space-evenly;
    }

    .header-navigation-flex > li {
        padding: 0 2%;
    }

}


@media screen and (max-width: 992px) {

    .first-page-flex img {
        width: 100%;
        padding: 3%;
        box-sizing: border-box;
    }

    .first-page-flex {
        display: flex;
        flex-wrap: wrap;
        padding: 3% 0;
    }

    .img-single-wrapper-left, .img-single-wrapper-right {
        order: 1;
        width: 50%;
        margin: 0;
    }

    .img-double-wrapper-left, .img-double-wrapper-right {
        display: flex;
        margin: 0;
        width: 100%;
    }

    .img-double-wrapper-left > div, .img-double-wrapper-right > div {
        display: flex;
        margin: 0;
        justify-content: center;
        width: 50%;
     
    }

    @keyframes img-semimob-left {
        from {
            transform: translateX(-100vw);
        }
        to {
            transform: translateX(0);
        }
    }

    @keyframes img-semimob-right {
        from {
            transform: translateX(100vw);
        }
        to {
            transform: translateX(0);
        }
    }

    .img-double-wrapper-left > :first-child, .img-double-wrapper-right > :first-child, .img-single-wrapper-left {
        transform: translateX(-100vw);
        animation: img-semimob-left 2s linear 1 forwards;
    }

    .img-double-wrapper-left > :last-child, .img-double-wrapper-right > :last-child, .img-single-wrapper-right {
        transform: translateX(100vw);
        animation: img-semimob-right 2s linear 1 forwards;
    }  

    .second-page-flex {
        flex-direction: column-reverse;
    }
    .left-flex {
        width: 100%;
        height: 91vh;
        display: flex;
        position: relative;
        margin: 10% 0 0 5%;
    }

    .fifth-img-wraper {
        width: 100%;
    }

    .team-wrapper {
        display: flex;
        flex-wrap: wrap;
    }

    .team-memder-foto-wraper {
        width: 44%;
        position: relative;
        margin: 3% auto;
    }

    .third-page-header {
        font-size: 7.8rem;
        line-height: 7.6rem;
    }

    .fourth-page-flex {
        flex-direction: column-reverse;
        justify-content: space-evenly;
    }
    
    .footer-flex-link-header,
    .footer-flex-link > li > a,
    .footer-flex-link > li > p,
    .footer-flex-link > li > a > p,
    .footer-flex-link-header > span, 
    .footer-flex-social > li > a img,
    .footer-flex-social > li > a p {
        font-size: 2.2rem;
    } 

    .footer-main-header {
        font-size: 2.8rem;
    }

    .fourth-page-header {
        width: 90%;
        font-size: 5.4rem;
        line-height: 5.8rem;
        margin: 0 auto 3%;
    }

    .content-flex {
        flex-direction: column;
    }

    .left-side-wrapper {
        width: 90%;
        margin: 0 auto;
    }

    .form-section-wrapper {
        width: 100%;
        font-size: 2.2rem;
    }

    .map {
        border: 0;
        width: 90%;
        height: 40vh;
        margin: 3% auto;
    }

    .textarea-input {
        font-size: 2.8rem;
        line-height: 2.6rem;
    }

    .form-input {
        font-size: 2.8rem;
        line-height: 2.8rem;
    }

    .hidden-submit {
        font-size: 2.8rem;
    }    

    



}
  








@media screen and (max-width: 768px) {

    .burger-menu-pure-css-hidden {
        width: 100%;
        display: flex;
    }
    .header-navigation-flex {
        display: none;
    }

    @keyframes img-mob-left {
        from {
            transform: translateX(-100vw);
        }
        to {
            transform: translateX(0);
        }
    }

    @keyframes img-mob-right {
        from {
            transform: translateX(100vw);
        }
        to {
            transform: translateX(0);
        }
    }
   
    .first-page-flex {
        flex-direction: column;
        align-content: center;
    }

    .img-single-wrapper-left, .img-single-wrapper-right {
        order: unset;
        width: 100%;
    }

    .img-double-wrapper-left > div, .img-double-wrapper-right > div {
        width: 100%;
    }

    .img-double-wrapper-left, .img-double-wrapper-right {
        flex-direction: column;
        margin: 0 1rem;
    }

    .img-double-wrapper-left > :last-child, .img-double-wrapper-right > :last-child, .img-single-wrapper-left {
        margin: 1rem;
        flex-grow: unset;
        transform: translateX(-100vw);
        animation: img-mob-left 3s linear 1 forwards;    
    }

    .img-double-wrapper-left > :first-child, .img-double-wrapper-right > :first-child, .img-single-wrapper-right {
        margin: 1rem;
        flex-grow: unset;
        transform: translateX(100vw);
        animation: img-mob-right 3s linear 1 forwards;
    }  

    .fifth-img-wraper {
        display: none;
    }

    .third-page-header {
        font-size: 6.4rem;
        line-height: 6.8rem;
    }

    .team-wrapper {
        width: 90%;
        flex-direction: column;
        align-items: center;
        margin: 0 auto;
    }

    .team-memder-foto-wraper {
        width: 100%;
    }

    .team-memder-foto-wraper > img {
        border-radius: 4rem;
        margin-top: 10%;
    }

    .content-flex {
        align-items: center;
        flex-direction: column-reverse;
    }

    .left-side-wrapper {
        width: 90%;
    }

    .map {
        width: 90%;
    }

    .fourth-page-header {
        width: 90%;
        font-size: 4.2rem;
        line-height: 4.2rem;
    }
    .textarea-input {
        font-size: 2.6rem;
        line-height: 2.4rem;
    }

    .form-input {
        font-size: 2.6rem;
        line-height: 2.6rem;
    }

    .hidden-submit {
        font-size: 2.6rem;
    }    

    .footer-flex {
        flex-direction: column;
        align-items: center;
    }

    .footer-flex-link {
        margin: 5% 0;
    }

    .fourth-page-flex {
        flex-direction: column;
    }
}


